Bug 75278 - APM hangs on resume from suspend-to-ram
Summary: APM hangs on resume from suspend-to-ram
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
: 75288 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-06 19:00 UTC by rmhristev
Modified: 2008-08-01 16:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rmhristev 2002-10-06 19:00:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
APM hangs on resume from a suspend-to-ram if a suspend-to-disk have not been
performed at least once since the last (re)boot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. do a suspend-to-ram on a laptop where the suspend-to-disk have not been
performed since the last (re)boot
2. try to resume ... system hangs

	

Actual Results:  system hang, the apm script is not started

Expected Results:  normal resume operation

Additional info:

Known laptops affected so far:
- Dell Inspiron 8000, bios A21 (latest), (my machine)
- Dell Inspiron 4100 (found on linux-dell-laptops@yahoogroups.com
  mailing list)

amp used too work as expected on RedHat 7.3

Workaround: After a (re)boot do a suspend-to-disk once.

Comment 1 Dave 2002-10-07 22:47:02 UTC
Same error here, but with both suspend to RAM and suspend to Disk functions.  It
occurs whenever the lid is closed on battery power or the apm -s/S commands are
issued.  I've never had a successful resume from a suspend to disk or suspend to
RAM function.

Dell Latitude C800

Comment 2 rmhristev 2002-10-07 22:59:18 UTC
from linux-dell-laptops@yahoogroups.com:
Dell Inspiron 8100 may also be affected.


Comment 3 Bill Nottingham 2003-05-19 20:40:13 UTC
This sounds like more of a BIOS or kernel issue than an apmd issue.

Comment 4 Bill Nottingham 2003-05-19 20:41:29 UTC
*** Bug 75288 has been marked as a duplicate of this bug. ***

Comment 5 rmhristev 2003-05-25 21:05:04 UTC
Could very well be a BIOS or kernel issue.
But it works as expected in RedHAt 7.3 and IIRC RedHat 9
I did put it here because I thought is the most appropriate place,
and to let people know about this non-obvious workaround.

Comment 6 Bugzilla owner 2004-09-30 15:40:01 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.